<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="indexpage" kind="group">
    <compoundname>index</compoundname>
    <title>UDB SDIO for Wi-Fi Host Driver</title>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
<para><bold>Overview</bold>
</para><para>This library provides a UDB based SDIO interface that allows for communicating between a PSoC 6 and a wireless device such as the CYW4343W, CYW43438, or CYW43012. This library allows PSoC 6 devices that do not have a dedicated SDHC hardware block, but do have UDBs, to work with the <ulink url="https://github.com/cypresssemiconductorco/wifi-host-driver">Wi-Fi Host Driver (WHD)</ulink> library.</para><para><bold>NOTE:</bold> This library does not provide a complete SDIO implementation. It is only intended for use with a wireless device.</para><para><bold>NOTE:</bold> This library is only compatible with PSoC 6 Board Support Packages (BSPs) version 1.2.0 and later. Prior to this version, portions of this library were directly included as part of the BSP.</para><para><bold>Whats included</bold>
</para><para>There are three configurations of this library to choose from based on what PSoC 6 pins are intended for SDIO communication. Selection of which port to use is done by specifying the appropriate component to the makefile. Details for this are described in the Quick Start section below. The table below shows the supported ports and which pins on that port map to which SDIO function.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;SDIO Function  &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Port 2  &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Port 9  &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Port 12   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;SDIO_D0  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;P2_0  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;P9_0  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;P12_0   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;SDIO_D1  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;P2_1  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;P9_1  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;P12_1   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;SDIO_D2  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;P2_2  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;P9_2  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;P12_2   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;SDIO_D3  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;P2_3  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;P9_3  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;P12_3   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;SDIO_CMD  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;P2_4  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;P9_4  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;P12_4   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;SDIO_CLK  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;P2_5  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;P9_5  &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;P12_5   &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para><para><bold>Quick Start</bold>
</para><para><orderedlist>
<listitem><para>Update the application or BSP makefile to indicate which port to use for SDIO communication</para></listitem></orderedlist>
<itemizedlist>
<listitem><para>For Port 2: COMPONENTS+=UDB_SDIO_P2</para></listitem><listitem><para>For Port 9: COMPONENTS+=UDB_SDIO_P9</para></listitem><listitem><para>For Port 12: COMPONENTS+=UDB_SDIO_P12</para></listitem></itemizedlist>
<orderedlist>
<listitem><para>Update the application or BSP makefile to indicate that Wi-Fi is supported DEFINES+=CYBSP_WIFI_CAPABLE</para></listitem><listitem><para>Add the WHD and associated wireless libraries to the application</para></listitem><listitem><para>Refer to the WHD documentation for setting up the networking interface</para></listitem></orderedlist>
</para><para><bold>Restrictions</bold>
</para><para>To use this library, the following must be true:<orderedlist>
<listitem><para>ClkSlow &amp; ClkPeri must both run at the same speed</para></listitem><listitem><para>ClkSlow &amp; ClkPeri must run at 4x the desired SDIO speed</para></listitem><listitem><para>The SDIO clock must run at between 20-25MHz</para></listitem><listitem><para>The first 8-bit peripheral clock divider must be reserved for use by this driver</para></listitem><listitem><para>The following DMA channels must be reserved for use by this driver</para></listitem></orderedlist>
<itemizedlist>
<listitem><para>DataWire 0 channel 0</para></listitem><listitem><para>DataWire 0 channel 1</para></listitem><listitem><para>DataWire 1 channel 1</para></listitem><listitem><para>DataWire 1 channel 3</para></listitem></itemizedlist>
</para><para><bold>NOTE:</bold> The optimal configuration is to have ClkSlow and ClkPeri running at 100 MHz and for the SDIO to run at 25 MHz.</para><para><bold>More information</bold>
</para><para><itemizedlist>
<listitem><para><ulink url="https://cypresssemiconductorco.github.io/udb-sdio-whd/html/index.html">API Reference Guide</ulink></para></listitem><listitem><para><ulink url="http://www.cypress.com">Cypress Semiconductor, an Infineon Technologies Company</ulink></para></listitem><listitem><para><ulink url="https://github.com/cypresssemiconductorco">Cypress Semiconductor GitHub</ulink></para></listitem><listitem><para><ulink url="https://www.cypress.com/products/modustoolbox-software-environment">ModusToolbox</ulink></para></listitem><listitem><para><ulink url="https://github.com/cypresssemiconductorco/wifi-host-driver">Wi-Fi Host Driver</ulink></para></listitem><listitem><para><ulink url="https://github.com/cypresssemiconductorco/Code-Examples-for-ModusToolbox-Software">PSoC 6 Code Examples using ModusToolbox IDE</ulink></para></listitem><listitem><para><ulink url="https://github.com/cypresssemiconductorco/psoc6-middleware">PSoC 6 Middleware</ulink></para></listitem><listitem><para><ulink url="https://community.cypress.com/docs/DOC-14644">PSoC 6 Resources - KBA223067</ulink> <hruler />
 © Cypress Semiconductor Corporation, 2019-2020. </para></listitem></itemizedlist>
</para>    </detaileddescription>
  </compounddef>
</doxygen>